Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065495 - [abrt] cinnamon: gdk_window_has_impl(): cinnamon killed by SIGSEGV
Summary: [abrt] cinnamon: gdk_window_has_impl(): cinnamon killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a82cd0dccda0c1147c58d96e364...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-14 19:00 UTC by Ingo Weiss
Modified: 2016-07-25 08:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:13:03 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-14 19:00 UTC, Ingo Weiss
no flags Details
File: cgroup (deleted)
2014-02-14 19:00 UTC, Ingo Weiss
no flags Details
File: core_backtrace (deleted)
2014-02-14 19:00 UTC, Ingo Weiss
no flags Details
File: dso_list (deleted)
2014-02-14 19:00 UTC, Ingo Weiss
no flags Details
File: environ (deleted)
2014-02-14 19:01 UTC, Ingo Weiss
no flags Details
File: exploitable (deleted)
2014-02-14 19:01 UTC, Ingo Weiss
no flags Details
File: limits (deleted)
2014-02-14 19:01 UTC, Ingo Weiss
no flags Details
File: maps (deleted)
2014-02-14 19:01 UTC, Ingo Weiss
no flags Details
File: open_fds (deleted)
2014-02-14 19:01 UTC, Ingo Weiss
no flags Details
File: proc_pid_status (deleted)
2014-02-14 19:01 UTC, Ingo Weiss
no flags Details
File: var_log_messages (deleted)
2014-02-14 19:01 UTC, Ingo Weiss
no flags Details

Description Ingo Weiss 2014-02-14 19:00:43 UTC
Version-Release number of selected component:
cinnamon-2.0.14-4.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: gdk_window_has_impl
executable:     /usr/bin/cinnamon
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_window_has_impl at gdkwindow.c:596
 #1 _gdk_window_has_impl at gdkwindow.c:597
 #2 gdk_x11_window_get_xid at gdkwindow-x11.c:5516
 #3 meta_frames_leave_notify_event at ui/frames.c:2431
 #4 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #5 _g_closure_invoke_va at gclosure.c:840
 #8 gtk_widget_event_internal at gtkwidget.c:7168
 #9 synth_crossing at gtkwidget.c:11844
 #10 _gtk_widget_synthesize_crossing at gtkwidget.c:11921
 #11 synth_crossing_for_grab_notify at gtkmain.c:1906

Potential duplicate: bug 1018564

Comment 1 Ingo Weiss 2014-02-14 19:00:51 UTC
Created attachment 863380 [details]
File: backtrace

Comment 2 Ingo Weiss 2014-02-14 19:00:53 UTC
Created attachment 863381 [details]
File: cgroup

Comment 3 Ingo Weiss 2014-02-14 19:00:55 UTC
Created attachment 863383 [details]
File: core_backtrace

Comment 4 Ingo Weiss 2014-02-14 19:00:58 UTC
Created attachment 863385 [details]
File: dso_list

Comment 5 Ingo Weiss 2014-02-14 19:01:00 UTC
Created attachment 863386 [details]
File: environ

Comment 6 Ingo Weiss 2014-02-14 19:01:04 UTC
Created attachment 863388 [details]
File: exploitable

Comment 7 Ingo Weiss 2014-02-14 19:01:07 UTC
Created attachment 863389 [details]
File: limits

Comment 8 Ingo Weiss 2014-02-14 19:01:14 UTC
Created attachment 863392 [details]
File: maps

Comment 9 Ingo Weiss 2014-02-14 19:01:17 UTC
Created attachment 863394 [details]
File: open_fds

Comment 10 Ingo Weiss 2014-02-14 19:01:19 UTC
Created attachment 863396 [details]
File: proc_pid_status

Comment 11 Ingo Weiss 2014-02-14 19:01:20 UTC
Created attachment 863397 [details]
File: var_log_messages

Comment 12 Sankalp Khare 2014-06-26 06:33:17 UTC
Another user experienced a similar problem:

just wanted to fire up a new terminator instance (I have it bound to CTRL-ALT-t). Pressed that key combination, and bam!

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: gdk_window_has_impl
executable:     /usr/bin/cinnamon
kernel:         3.14.8-200.fc20.x86_64
package:        cinnamon-2.2.13-5.fc20
reason:         cinnamon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 leigh scott 2014-06-26 10:47:52 UTC
(In reply to Sankalp Khare from comment #12)
> Another user experienced a similar problem:
> 
> just wanted to fire up a new terminator instance (I have it bound to
> CTRL-ALT-t). Pressed that key combination, and bam!
> 

This isn't reproducible here.

Comment 14 Fabien 2014-07-04 11:10:16 UTC
Another user experienced a similar problem:

it's happened to me each time I restart computer and log to my account. login process takes ~ 20s to 50s. 

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        cinnamon --replace
crash_function: gdk_window_has_impl
executable:     /usr/bin/cinnamon
kernel:         3.14.9-200.fc20.x86_64
package:        cinnamon-2.2.13-5.fc20
reason:         cinnamon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora End Of Life 2015-05-29 10:55:42 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-06-29 15:13:03 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 17 robi 2016-07-25 05:09:37 UTC
Getting the exact same bug in Fedora 24. Cinnamon-Version is 3.0.6.

Please reopen the bug. I'd upload my info but the reporting tool always says my stacktrace is unusable. If you need anything else, I'll be there.

Comment 18 leigh scott 2016-07-25 08:10:13 UTC
(In reply to robi from comment #17)

> Please reopen the bug.

No!

There is no usable steps to reproduce the issue here!


Note You need to log in before you can comment on or make changes to this bug.